Subject: Re: [netlmm] Separation of Control and Data Plane for PMIPv6

From: Shi Xiaoyan <[email-masked]>
Date: Tue, 11 Nov 2008 12:39:42 +0800

Hi Vijay ,

Separation of Control and Data Plane should include sepration on MAG and on
LMA. In this draft, only sepration on MAG is considered. In fact, LMA may be
interesting in signaling and routing with different path. So, I think that
separation of control and data plane on LMA should also be considered in
this draft.

In some scenarios with multiple LMA deployment, such as LMA pool in which
one mainly LMA dedicate to deal signal and others to route data packet, LMA
should inform the data plane address to MAG, which is different to PBU
destination address. 

Regards,
Xiaoyan

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Vijay Devarapalli
> Sent: Tuesday, October 28, 2008 6:42 AM
> To: [email-masked]
> Subject: [netlmm] Separation of Control and Data Plane for PMIPv6
> 
> Hello,
> 
> I just submitted a short draft on separating control and data 
> plane end points. The draft defines a new mobility option for 
> carrying the data plane address. The draft is at 
> http://www.ietf.org/internet-drafts/draft-devarapalli-netlmm-p
> mipv6-data
> -plane-00.txt
> 
> Comments/reviews are welcome.
> 
> Vijay 
> 
> -----Original Message-----
> From: IETF I-D Submission Tool [mailto:[email-masked]]
> Sent: Monday, October 27, 2008 3:40 PM
> To: Vijay Devarapalli
> Subject: New Version Notification for
> draft-devarapalli-netlmm-pmipv6-data-plane-00 
> 
> 
> A new version of I-D, 
> draft-devarapalli-netlmm-pmipv6-data-plane-00.txt
> has been successfuly submitted by Vijay Devarapalli and posted to the
> IETF repository.
> 
> Filename:	 draft-devarapalli-netlmm-pmipv6-data-plane
> Revision:	 00
> Title:		 Separating Control and Data Plane for 
> Proxy Mobile IPv6
> Creation_date:	 2008-10-27
> WG ID:		 Independent Submission
> Number_of_pages: 8
> 
> Abstract:
> Proxy Mobile IPv6 is a network-based mobility management protocol.
> The mobility entities involved in the Proxy Mobile IPv6 protocol, the
> Mobile Access Gateway (MAG) and the Local Mobility Anchor (LMA),
> setup tunnels dynamically to manage mobility for a mobile node within
> the Proxy Mobile IPv6 domain.  This document describes an extension
> to the Proxy Mobile IPv6 protocol to register a data plane address,
> that is different from the Proxy Care-of Address with the LMA.  This
> allows separation of control and data plane.
>  
> 
> 
> 
> The IETF Secretariat.
> 
> 
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netlmm
> 

_______________________________________________
netlmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netlmm

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 11 Nov 2008 14:38:41 -0800

Hi Xiaoyan,

The same mechanism can be used by the LMA also for the control and data 
plane separation. Section 3 says

    Even though the mechanism described in this document is primarily
    intended for separation of control and data plane on the MAG, it is
    possible to use it for the LMA also.  If the LMA wants to use a
    separate data plane address, it should include the data plane end
    point in the Data Plane Address mobility option in the Proxy Binding
    Acknowledgment message.  The MAG would use this address as the LMA
    tunnel end point for data traffic.

If the LMA wants the MAG to use a different address for the data plane, 
then it should include the address in the Data Plane Address Mobility 
Option in the Proxy Binding Ack. The Data Plane Address Mobility Option 
in the Proxy Binding Ack would not contain an address if the LMA is 
using the same address for control and data plane.

Vijay

---

From: Shi Xiaoyan <[email-masked]>
Date: Wed, 12 Nov 2008 09:23:45 +0800

Hi Vijay ,

Thanks. I missed the paragraph. ;-)

There still is a little doubt for me. When MAG does not supply Data Plane
Address mobility option in PBU and LMA want to use a separate data plane
address, How does LMA construct PBA? Add Data Plane Address mobility option
in PBA? But MAG maybe do not support this mechanism.
 
Regards,
Xiaoyan

> From: Vijay Devarapalli [mailto:[email-masked]] 
> Sent: Wednesday, November 12, 2008 6:39 AM
> To: Shi Xiaoyan
> Cc: [email-masked]; ???
> Subject: Re: [netlmm] Separation of Control and Data Plane for PMIPv6
> 
> Hi Xiaoyan,
> 
> The same mechanism can be used by the LMA also for the 
> control and data plane separation. Section 3 says
> 
> If the LMA wants the MAG to use a different address for the 
> data plane, then it should include the address in the Data 
> Plane Address Mobility Option in the Proxy Binding Ack. The 
> Data Plane Address Mobility Option in the Proxy Binding Ack 
> would not contain an address if the LMA is using the same 
> address for control and data plane.
> 
> Vijay
> 
> Shi Xiaoyan wrote:
> > 
> > Hi Vijay ,
> > 
> > Separation of Control and Data Plane should include 
> sepration on MAG 
> > and on LMA. In this draft, only sepration on MAG is considered. In 
> > fact, LMA may be interesting in signaling and routing with 
> different 
> > path. So, I think that separation of control and data plane on LMA 
> > should also be considered in this draft.
> > 
> > In some scenarios with multiple LMA deployment, such as LMA pool in 
> > which one mainly LMA dedicate to deal signal and others to 
> route data 
> > packet, LMA should inform the data plane address to MAG, which is 
> > different to PBU destination address.
> > 
> > Regards,
> > Xiaoyan
> > 
> > 
> > 
> >  > [mailto:[email-masked]] On Behalf Of Vijay 
> Devarapalli  > 
> > Sent: Tuesday, October 28, 2008 6:42 AM  > To: [email-masked]  > 
> > Subject: [netlmm] Separation of Control and Data Plane for 
> PMIPv6  >  
> > > Hello,  >  > I just submitted a short draft on separating control 
> > and data  > plane end points. The draft defines a new 
> mobility option 
> > for  > carrying the data plane address. The draft is at  > 
> >  > From: IETF I-D Submission Tool [mailto:[email-masked]]  > 
> > Sent: Monday, October 27, 2008 3:40 PM  > To: Vijay Devarapalli  > 
> > Subject: New Version Notification for  > 
> >  > has been successfuly submitted by Vijay Devarapalli and 
> posted to 
> > the  > IETF repository.
> >  >
> >  > The mobility entities involved in the Proxy Mobile IPv6 
> protocol, 
> > the  > Mobile Access Gateway (MAG) and the Local Mobility Anchor 
> > (LMA),  > setup tunnels dynamically to manage mobility for a mobile 
> > node within  > the Proxy Mobile IPv6 domain.  This document 
> describes 
> > an extension  > to the Proxy Mobile IPv6 protocol to 
> register a data 
> > plane address,  > that is different from the Proxy Care-of Address 
> > with the LMA.  This  > allows separation of control and data plane.
> >  >
> >  >
> >  >
> >  >
> >  > The IETF Secretariat.
> >  >
> >  >

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 11 Nov 2008 18:36:04 -0800

Shi Xiaoyan wrote:
> in PBA? 

Yes.

> But MAG maybe do not support this mechanism.

We had a similar issue with PMIPv6 GRE encapsulation too. When the LMA 
wants to use GRE encapsulation, it includes the GRE encapsulation option 
in the proxy binding ack (or sends the status GRE KEY OPTION REQUIRED). 
But the LMA gets no acknowledgment from the MAG. If the MAG does not 
support GRE encapsulation, it logs the event and raises an alarm.

If the MAG does not support separation of control and data plane, but 
the LMA wants to use it, we can follow the same approach as described in 
the GRE encapsulation draft.

Vijay

---

From: Shi Xiaoyan <[email-masked]>
Date: Mon, 17 Nov 2008 17:09:02 +0800

Hi Vijay ,

Please see inline.

> Sent: Wednesday, November 12, 2008 10:36 AM
> To: Shi Xiaoyan
> Cc: [email-masked]; '???'
> > There still is a little doubt for me. When MAG does not supply Data 
> > Plane Address mobility option in PBU and LMA want to use a separate 
> > data plane address, How does LMA construct PBA? Add Data 
> Plane Address 
> > mobility option in PBA?
> 
> Yes.
> 
> We had a similar issue with PMIPv6 GRE encapsulation too. 
> When the LMA wants to use GRE encapsulation, it includes the 
> GRE encapsulation option in the proxy binding ack (or sends 
> the status GRE KEY OPTION REQUIRED). 
> But the LMA gets no acknowledgment from the MAG. If the MAG 
> does not support GRE encapsulation, it logs the event and 
> raises an alarm.
> 
> If the MAG does not support separation of control and data 
> plane, but the LMA wants to use it, we can follow the same 
> approach as described in the GRE encapsulation draft.

There is minor difference between GRE key and separation of control and data
plane. In GRE key scenario, if LMA want to use GRE key and there is not a
GRE key option in PBU, LMA will construct  PBA with status code more than
128(GRE KEY OPTION REQUIRED), because GRE key must be used in pairs. But in
separation of control and data plane scenario, when LMA recieve PBU without
Data Plane Address Mobility Option and LMA want to use separation of control
and data(separation on LMA, NOT on MAG), LMA also reject this PBU? It seems
not a good idea because it implies that separation on LMA only can be used
when separation is also used on MAG .

> >> The same mechanism can be used by the LMA also for the control and 
> >> data plane separation. Section 3 says
> >>
> >>     intended for separation of control and data plane on 
> the MAG, it 
> >> is
> >> If the LMA wants the MAG to use a different address for the data 
> >> plane, then it should include the address in the Data 
> Plane Address 
> >> Mobility Option in the Proxy Binding Ack. The Data Plane Address 
> >> Mobility Option in the Proxy Binding Ack would not contain 
> an address 
> >> if the LMA is using the same address for control and data plane.
> >>
> >> Vijay
> >>
> >> Shi Xiaoyan wrote:
> >>> Hi Vijay ,
> >>>